### Method

# GLib OptionContext add_group

since: 2.6

#### Declaration [src]

    void
    g_option_context_add_group (
      GOptionContext* context,
      GOptionGroup* group
    )

#### Description [src]

Adds a `GOptionGroup` to the `context`, so that parsing with `context` will recognize the options in the group. Note that this will take ownership of the `group` and thus the `group` should not be freed.

Available since: 2.6

#### Parameters

`group`

  Type: `GOptionGroup`

  The group to add.

  The instance takes ownership of the data, and is responsible for freeing it.